Name:		cddbd
Version:	1.5.2
Release:	2%{?dist}
Summary:	The Internet CD Database Server

Group:		Applications/Multimedia
License:	GPLv2
URL:		ftp://ftp.freedb.org/pub/freedb/
Source0:	%{name}-%{version}.tar.gz
Source1:	cddbd-1.5.2-config.exp
Source2:	cddbd-1.5.2-access
Source3:	cddbd-httpd.conf
Source4:	cddbd-xinetd
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	expect
Requires:		xinetd
Requires:		httpd
%if 0%{?fedora} >= 17
Requires(post):	systemd-units
%else
Requires(post):	/sbin/service
%endif

%description
The CD Database Server (cddbd) is a program designed to allow remote access
of xmcd-style Compact Disc database entries via the Internet. Xmcd is an
X11/Motif-based CD player utility written by Ti Kan, which, as of version
2.0 supports remote access of CDDB protocol servers. While xmcd was the first
application to allow access to a CDDB protocol server, there are now hundreds
of applications supporting the CDDB1 protocol. The list is growing extremely
fast. You can find an incomplete list of such applications at www.freedb.org

%prep
%setup -q
sed -e 's,@prefix@,%{_var}/lib/cddbd,' \
	< %{SOURCE1} > config.exp

%build
expect config.exp
%{__make} %{?_smp_mflags}

%install
sed -e 's,freedb-submit@freedb.org,root@localhost,' \
	-e 's,test-submit@freedb.org,root@localhost,' \
	< submit.cgi.template > submit.cgi

sed -e 's,@workdir@,%{_var}/lib/cddbd,g' < %{SOURCE2} > access
%{__cp} passwd.hdr passwd
%{__cp} sites.hdr sites

install -d -m0755 %{buildroot}%{_sbindir}
install -d -m0755 %{buildroot}%{_mandir}/man1
#install -d -m0755 %{buildroot}%{_var}/lib/cddbd/data
install -d -m0755 %{buildroot}%{_var}/www/cddbd

install -D -m0755 cddbd %{buildroot}%{_var}/www/cddbd/cddb.cgi
install -D -m0644 cddbd.1 %{buildroot}%{_mandir}/man1/cddbd.1
install -D -m0755 submit.cgi %{buildroot}%{_var}/www/cddbd/submit.cgi

install -D -m0644 access %{buildroot}%{_var}/lib/cddbd/access
install -D -m0644 sites %{buildroot}%{_var}/lib/cddbd/sites
install -D -m0644 passwd %{buildroot}%{_var}/lib/cddbd/passwd
touch %{buildroot}%{_var}/lib/cddbd/motd

pushd %{buildroot}%{_sbindir}
ln -sf ../../%{_var}/www/cddbd/cddb.cgi cddbd
popd

install -d -m0755 %{buildroot}%{_sysconfdir}/httpd/conf.d
install -D -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/conf.d/cddbd.conf
install -d -m0755 %{buildroot}%{_sysconfdir}/xinetd.d
install -D -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/xinetd.d/cddb

install -d -m0755 %{buildroot}%{_var}/lib/cddbd/{locks,server,tmp}

%post
%if 0%{?fedora} >= 17
	/bin/systemctl reload httpd.service
%else
	/sbin/service httpd reload
%endif
%{__mkdir} %{_var}/lib/cddbd/data
%{__chown} apache:apache %{_var}/lib/cddbd/data

%postun
%{__rm} -rf %{_var}/lib/cddbd/data

%clean
rm -rf %{buildroot}

%files
%doc CDDBD_HOWTO CDDBPROTO CHANGELOG COPYING README
%{_mandir}/man1/*.1*
%{_sysconfdir}/xinetd.d/cddb
%config(noreplace) %{_sysconfdir}/httpd/conf.d/cddbd.conf
%defattr(-,apache,apache,-)
%{_sbindir}/cddbd
%{_var}/www/cddbd/*.cgi
#%dir %{_var}/lib/cddbd/data
%dir %{_var}/lib/cddbd/locks
%dir %{_var}/lib/cddbd/server
%dir %{_var}/lib/cddbd/tmp
%config(noreplace) %{_var}/lib/cddbd/access
%config(noreplace) %{_var}/lib/cddbd/motd
%config(noreplace) %{_var}/lib/cddbd/passwd
%config(noreplace) %{_var}/lib/cddbd/sites

%changelog
* Wed Apr 10 2013 momo-i <webmaster@momo-i.org> 1.5.2-2
- Remove %{_var}/lib/cddbd/data because used by freedb

* Thu Mar 28 2013 momo-i <webmaster@momo-i.org> 1.5.2-1
- Initial rpm release.
